#
#	RunTime Threading
#
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2004 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#

#

#
# No exception handling code variant
#
*-noex -DSAPDB_COMPILE_WITHOUT_EXCEPTION_HANDLING
*-CAP  -D_FASTCAP


#
RTEThread_IContext.hpp                  inc=RTE_Types.hpp
RTEThread_Context.hpp                   inc=RTEThread_IContext.hpp,SAPDBErr_MessageList.hpp
RTEThread_Context*.cpp                  inc=RTE_IGlobal.hpp,RTEThread_Context.hpp,RTETask_IContext.hpp,SAPDBErr_Assertions.hpp,RTE_MessageList.hpp

# Console Thread Main
RTEThread_Console.h                     inc=
RTEThread_Console*.cpp                  inc=heo07.h,geo007_1.h,RTE_CompilerFeatures.h,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTE_MessageList.hpp\
                                            ,RTE_Message.hpp,RTE_Console_Thread_Messages.hpp,RTE_ConsoleCommon.hpp,RTEThread_ConsoleCommandQueue.hpp\
                                            ,RTEThread_ConsoleCommandWorker.hpp,RTEThread_ConsoleRequestor.hpp,RTE_ConsoleRequestCommunication.hpp\
                                            ,RTEThread_Console.h,RTE_KGS.hpp,RTE_KSS.h,RTE_ConsoleStandardDataRequests.h,RTE_ConsoleTraceTopic.hpp\
                                            ,RTE_ConsoleDataCommunication.hpp\
&if $OSSPEC == LINUX
                                            ,RTE_ConsoleSemaphoreTimeoutList.hpp
&endif  


#
# Console Command Queue
RTEThread_ConsoleCommandQueue.hpp       inc=heo07.h,RTE_Types.h,RTEMem_Allocator.hpp,Container_List.hpp,RTEThread_ConsoleCommandWorker.hpp,RTEThread_ConsoleRequest.h
RTEThread_ConsoleCommandQueue*.cpp      inc=RTE_MessageList.hpp,RTE_Message.hpp,RTE_Console_Thread_Messages.hpp,RTE_ConsoleCommon.hpp\
                                            ,RTEThread_ConsoleCommandQueue.hpp,RTEThread_ConsoleRequest.h,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp


#
# Console Command Worker
RTEThread_ConsoleCommandWorker.hpp      inc=geo07.h
RTEThread_ConsoleCommandWorker*.cpp     inc=heo07.h,RTE_CompilerFeatures.h,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTE_MessageList.hpp,RTE_Message.hpp\
                                            ,RTE_Console_Thread_Messages.hpp,RTE_ConsoleCommon.hpp,RTEThread_ConsoleCommandWorker.hpp,RTEThread_ConsoleCommandQueue.hpp\
                                            ,RTEThread_ConsoleConnectionList.h,RTEThread_ConsoleStandardWorker.hpp,RTEThread_ConsoleWorkerBase.hpp\
                                            ,RTEThread_ConsoleRequest.h

#
# Console Connection List
RTEThread_ConsoleConnectionList.h       inc=heo07.h,RTEMem_Allocator.hpp,RTEThread_ConsoleWorkerBase.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp\
                                            ,SAPDBTrace_Usage.hpp,RTEThread_ConsoleRequest.h
RTEThread_ConsoleConnectionList*.cpp    inc=RTE_CompilerFeatures.h,RTEThread_ConsoleConnectionList.h,RTESys_Time.h,RTEThread_ConsoleWorkerBase.hpp\
                                            ,RTEThread_ConsoleStandardWorker.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTE_MessageList.hpp\
                                            ,RTE_Message.hpp,RTE_Console_Thread_Messages.hpp,RTESys_ProcessState.hpp

#
# Console Requestor
RTEThread_ConsoleRequest.h              inc=RTE_ConsoleCommon.hpp  

RTEThread_ConsoleRequestor.hpp          inc=RTE_ConsoleRequestCommunication.hpp,RTEThread_ConsoleRequest.h
RTEThread_ConsoleRequestor*.cpp         inc=RTE_KGS.hpp,RTE_CompilerFeatures.h,RTE_MessageList.hpp,RTE_Message.hpp,RTE_Console_Thread_Messages.hpp\
                                            ,RTE_ConsoleCommon.hpp,RTEComm_PacketHeader.h,RTEThread_ConsoleRequestor.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp\
                                            ,RTE_MessageList.hpp,RTE_Message.hpp,RTE_Console_Thread_Messages.hpp,RTEMem_Allocator.hpp

#
# Console Standard Worker
RTEThread_ConsoleStandardWorker.hpp     inc=RTEThread_ConsoleWorkerBase.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp
RTEThread_ConsoleStandardWorker*.cpp    inc=heo00x.h,heo670.h,heo92.h,geo007_1.h,heo54k.h,RTE_CompilerFeatures.h,RTE_MessageList.hpp,RTE_Message.hpp,RTE_ConsoleCommon.hpp\
                                            ,RTE_Console_Thread_Messages.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTEThread_ConsoleStandardWorker.hpp,geo00_1.h\
                                            ,RTEMem_RteAllocator.hpp,RTE_KGS.hpp,RTE_KSS.h,RTEMem_AWEAllocator.hpp,RTEMem_SystemPageCache.hpp,RTESys_MicroTime.h,RTESync_RWRegion.hpp\
&if $OSSPEC = WIN32
                                            ,gos003.h
&else
                                            ,gen81.h,gen71.h,gen72.h,gen73.h
&endif

#
# Console Base Worker
RTEThread_ConsoleWorkerBase.hpp         inc=geo003.h,RTE_ConsoleCommon.hpp,RTE_ConsoleStandardDataRequests.h,RTE_ConsoleDataCommunication.hpp\
                                            ,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTESys_Time.h
RTEThread_ConsoleWorkerBase*.cpp        inc=RTE_KGS.hpp,RTE_CompilerFeatures.h,RTE_MessageList.hpp,RTEThread_ConsoleWorkerBase.hpp,RTE_Message.hpp\
                                            ,RTE_Console_Thread_Messages.hpp,SAPDBTrace_Topic.hpp,SAPDBTrace_Usage.hpp,RTE_KSS.h



&if $OSSPEC == LINUX && $MACH in [ S390X, IA64 ]
regex(\w+\.cpp) -OPT=-O2
&endif

