# ------------------------------------------------------------------------------
#
# DataAccess Descriptions
#
# ------------------------------------------------------------------------------
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2004 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#

#


regex(.*\.cpp$)    -except

# ------------------------------------------------------------------------------
Table_Messages.genmsg    ascii
Table_Messages.hpp       inc=SAPDBErr_MessageList.hpp
Table_Exceptions.hpp     inc=SAPDBErr_MessageList.hpp,\
                             Table_Messages.hpp
# ------------------------------------------------------------------------------
Table_Test.hpp           inc=gsp00,ggg00
Table_Test.cpp           inc=Table/Table_TempHashTable.hpp,\
                             Table_Exceptions.hpp,\
                             SAPDBAlgo_FunnelMerge.hpp,\
                             SAPDBErr_Assertions.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SAPDBTrace_Usage.hpp,\
                             SAPDBFields_FieldList.hpp,\
                             RTE_Message.hpp,\
                             Table_Table.hpp,\
                             Table_Test.hpp,\
                             Table_UnsortedResult.hpp,\
                             Table_Messages.hpp,\
                             Kernel_VTrace.hpp,\
                             Kernel_BlobDescription.hpp,\
                             Log_Transaction.hpp,\
                             hkb53.h,ggg200.h,heo52.h
# ------------------------------------------------------------------------------
Table_Types.hpp          inc=SAPDB_Types.hpp,\
                             SAPDB_EnhancedTypes.hpp,\
                             SAPDBTrace_Topic.hpp,\
                             SAPDBDiag_CheckTopic.hpp
# ------------------------------------------------------------------------------
Table_IResult.hpp        inc=
Table_UnsortedResult.hpp inc=Table_IResult.hpp
Table_UnsortedResult.cpp inc=Table_UnsortedResult.hpp,\
                             SAPDBTrace_Usage.hpp,\
                             SAPDBErr_Assertions.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SAPDBFields_IFieldSequences.hpp,\
                             RTE_Message.hpp,\
                             Table_Exceptions.hpp
# ------------------------------------------------------------------------------
Table_Table.hpp          inc=Table_Types.hpp,\
                             Kernel_IndexDescription.hpp
Table_Table.cpp          inc=Table_Table.hpp,\
                             Table_UnsortedResult.hpp,\
                             SAPDBTrace_Usage.hpp,\
                             SAPDBErr_Assertions.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SAPDBFields_IFieldSequences.hpp,\
                             RTE_Message.hpp,\
                             Table_Exceptions.hpp,\
                             Kernel_BlobDescription.hpp,\
                             Kernel_IndexDescription.hpp,\
                             Log_Transaction.hpp,\
                             Log_ActionCreateDropFile.hpp,\
                             ggg00,ggg92.h,\
                             hbd01.h,\
                             hkb64.h,hkb50.h
# ------------------------------------------------------------------------------
Table_TempHashTable.hpp  inc=SAPDB_Types.hpp,\
                             SAPDBAlgo_Comparator.hpp,\
                             SAPDBAlgo_FNVHash.hpp,\
                             SAPDBAlgo_FunnelMerge.hpp,\
                             SAPDBAlgo_QuickSort.hpp,\
                             Container_Vector.hpp,\
                             Data_TempFile.hpp,\
                             SAPDBMem_NewDestroy.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SAPDBMem_RawAllocator.hpp,\
                             SAPDBErr_Assertions.hpp,\
                             SAPDBErr_MessageList.hpp,\
                             Table_Exceptions.hpp,\
                             SAPDBTrace_Usage.hpp,\
                             KernelParam_TempHashTable.hpp,\
                             RTEConf_ParameterAccessKernelInterface.hpp,\
                             Table_Messages.hpp

Table_TempHashTable_PascalWrapper.cpp inc=Table_TempHashTable.hpp,\
                             SQLMan_Context.hpp,\
                             ggg00,gkb07,vak001,hbd101.h,hkb721.h
# ------------------------------------------------------------------------------
&if $OSSPEC == LINUX && $MACH in [ S390X, IA64 ]
regex(\w+\.cpp) -OPT=-O2
&endif

