#include "RunTime/System/RTESys_MemoryInfo.hpp"
#include "RunTime/System/RTESys_SystemInfo.h"

void RTESys_MemoryInfo::update(void)
{
    RTESys_MemInfo(&m_PhysicalInstalled,&m_PhysicalAvailable,&m_VirtualInstalled,&m_VirtualAvailable);
}

SAPDB_ULong RTESys_MemoryInfo::GetPhysicalInstalled(void)
{
    // All the other values can be zero, but the size of the physical memory installed can't
    // So this is used to indicate uninitialized state
    if(0 == m_PhysicalInstalled)
    {
        update();
    }
    return m_PhysicalInstalled;
}

SAPDB_ULong RTESys_MemoryInfo::GetPhysicalAvailable(void)
{
    // All the other values can be zero, but the size of the physical memory installed can't
    // So this is used to indicate uninitialized state
    if(0 == m_PhysicalInstalled)
    {
        update();
    }
    return m_PhysicalAvailable;
}

SAPDB_ULong RTESys_MemoryInfo::GetVirtualInstalled(void)
{
    // All the other values can be zero, but the size of the physical memory installed can't
    // So this is used to indicate uninitialized state
    if(0 == m_PhysicalInstalled)
    {
        update();
    }
    return m_VirtualInstalled;
}

SAPDB_ULong RTESys_MemoryInfo::GetVirtualAvailable(void)
{
    // All the other values can be zero, but the size of the physical memory installed can't
    // So this is used to indicate uninitialized state
    if(0 == m_PhysicalInstalled)
    {
        update();
    }
    return m_VirtualAvailable;
}



SAPDB_ULong RTESys_MemoryInfo::m_PhysicalInstalled=0;

SAPDB_ULong RTESys_MemoryInfo::m_PhysicalAvailable=0;

SAPDB_ULong RTESys_MemoryInfo::m_VirtualInstalled=0;

SAPDB_ULong RTESys_MemoryInfo::m_VirtualAvailable=0;





