# ------------------------------------------------------------------
# contents: 	Dependencies of files in 
# 		        component 'SAPDB/SQLManager/SharedSQL/'.
# author:	Dirk Thomsen
# created:	Fri Jan 17 15:27:12  2003
# updated:	Fri Jan 17 17:21:07  2003
# to do:	Reduce the dependencies by using forward declarations!
# ------------------------------------------------------------------
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2003-2004 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#

#


# Options for all files
* -except -DUSE_SAPDB_TYPE inc=SAPDBCommon/SAPDB_Types.hpp
regex(.*\.cpp$) -I$WRK/incl/SAPDB/SQLManager/SharedSQL 

# Options for selected files. 
# Extends the include path for the compiler. 

SharedSQL_Messages.hpp  inc=SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp

SharedSQL_Types.hpp    	inc=+SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
							SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
							SAPDBCommon/Tracing/SAPDBTrace_Topic.hpp,\
							RunTime/Synchronisation/RTESync_NamedSpinlock.hpp,\
							RunTime/Synchronisation/RTESync_RWRegion.hpp,\
							vak001


SharedSQL_ICommand.hpp inc=SQLManager/SharedSQL/SharedSQL_CommandStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_Command.hpp		inc=+SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Plan.hpp

SharedSQL_Command.cpp		inc=+SQLManager/SharedSQL/SharedSQL_Command.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Plan.hpp,\
						SQLManager/SQLMan_Context.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						RunTime/Synchronisation/RTESync_RWRegion.hpp,\
						RunTime/System/RTESys_AtomicOperation.hpp,\
						heo58.h

SharedSQL_CommandStatistics.hpp inc=+SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						RunTime/System/RTESys_AtomicOperation.hpp
						
						
SharedSQL_IHandles.hpp	inc=+SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_Handles.hpp	inc=+SQLManager/SharedSQL/SharedSQL_IHandles.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_Handles.cpp	inc=+SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
						SQLManager/SharedSQL/SharedSQL_Handles.hpp,\
						SQLManager/SharedSQL/SharedSQL_IPlan.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Messages.hpp,\
						SQLManager/SQLMan_Context.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						RunTime/RTE_Message.hpp,\
						heo58.h


SharedSQL_CommandCacheStatistics.hpp inc=SAPDBCommon/SAPDB_Types.hpp

SharedSQL_CommandCacheIterator.hpp inc=+SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_CommandCacheIterator.cpp inc=SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp


SharedSQL_ICommandCache.hpp inc=+SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\

SharedSQL_CommandCache.hpp			inc=+SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_SynchronizedRawAllocator.hpp,\
						SAPDBCommon/SAPDB_Singleton.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						RunTime/Synchronisation/RTESync_RWRegion.hpp,\
						ggg00
		
SharedSQL_CommandCache.cpp 	        inc=+SQLManager/SharedSQL/SharedSQL_CommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_Command.hpp,\
						SQLManager/SharedSQL/SharedSQL_Plan.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Handles.hpp,\
						SQLManager/SharedSQL/SharedSQL_Messages.hpp,\
						SQLManager/SQLMan_Context.hpp,\
						SAPDBCommon/SAPDB_MemCopyMove.hpp,\
						SAPDBCommon/SAPDB_Singleton.hpp,\
                                                SAPDBCommon/Algorithms/SAPDBAlgo_FNVHash.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_SynchronizedRawAllocator.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						KernelCommon/ParameterNames/KernelParam_SharedSQL.hpp,\
						RunTime/MemoryManagement/RTEMem_RawAllocator.hpp,\
						RunTime/MemoryManagement/RTEMem_BlockAllocator.hpp,\
						RunTime/Configuration/RTEConf_ParameterAccessKernelInterface.hpp,\
                                                Runtime/System/RTESys_AtomicOperation.hpp,\
						RunTime/RTE_Message.hpp,\
						ggg00,hgg04.h,hbd01.h,hbd02.h,heo58.h

SharedSQL_CommandCache-fdir.cpp 	        inc=+SQLManager/SharedSQL/SharedSQL_CommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_Command.hpp,\
						SQLManager/SharedSQL/SharedSQL_Plan.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Handles.hpp,\
						SQLManager/SharedSQL/SharedSQL_Messages.hpp,\
						SQLManager/SQLMan_Context.hpp,\
						SAPDBCommon/SAPDB_Singleton.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_SynchronizedRawAllocator.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						KernelCommon/ParameterNames/KernelParam_SharedSQL.hpp,\
						RunTime/MemoryManagement/RTEMem_RawAllocator.hpp,\
						RunTime/MemoryManagement/RTEMem_BlockAllocator.hpp,\
						RunTime/Configuration/RTEConf_ParameterAccessKernelInterface.hpp,\
                                                Runtime/System/RTESys_AtomicOperation.hpp,\
						RunTime/RTE_Message.hpp,\
						ggg00,hgg04.h,hbd01.h,hbd02.h,heo58.h,\
                        FileDir_ISharedDirectory.hpp,\
                        FileDir_Types.hpp -DFDIR_DEV

SharedSQL_CommandCache_Wrapper.cpp 	inc=SQLManager/SharedSQL/SharedSQL_CommandCache.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
                                                KernelCommon/ParameterNames/KernelParam_SharedSQL.hpp,\
                                                RunTime/Configuration/RTEConf_ParameterAccessKernelInterface.hpp,\
                                                RunTime/RTE_Message.hpp,\
						hak101.h


SharedSQL_IPlan.hpp  inc=+SQLManager/SharedSQL/SharedSQL_Types.hpp,\

SharedSQL_Plan.hpp  inc=+SQLManager/SharedSQL/SharedSQL_IPlan.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Messages.hpp,\
						SQLManager/Catalog/Catalog_ISharedSQLInterface.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						Container/Container_AVLTree.hpp,\
						RunTime/Synchronisation/RTESync_RWRegion.hpp,\
						RunTime/RTE_Message.hpp


SharedSQL_IParseIDCache.hpp		inc=+SQLManager/SharedSQL/SharedSQL_IHandles.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_ParseIDCache.hpp		inc=+SQLManager/SharedSQL/SharedSQL_IParseIDCache.hpp,\
                                                SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
						SQLManager/SharedSQL/SharedSQL_Handles.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp,\
						SQLManager/SharedSQL/SharedSQL_Messages.hpp,\
						SAPDBCommon/SAPDB_MemCopyMove.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
						SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
						Container/Container_AVLTree.hpp,\
						RunTime/RTE_Message.hpp


SharedSQL_ISQLCache.hpp		inc=+SQLManager/SharedSQL/SharedSQL_IHandles.hpp,\
						SQLManager/SharedSQL_CommandCacheStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_SQLCache.hpp		inc=+SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_ICommandCache.hpp,\
						SQLManager/SharedSQL_CommandCacheStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SQLManager/SharedSQL/SharedSQL_ParseIDCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_IHandles.hpp,\
						SQLManager/SharedSQL/SharedSQL_Types.hpp

SharedSQL_SQLCache.cpp		inc=+SQLManager/SharedSQL/SharedSQL_SQLCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCache.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
						SQLManager/SharedSQL/SharedSQL_CommandCacheIterator.hpp,\
						SAPDBCommon/ErrorsAndMessages/SAPDBErr_Assertions.hpp,\
						SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp

