# ------------------------------------------------------------------------------
#
# System View Descriptions
#
# ------------------------------------------------------------------------------
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2004 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#

#


regex(.*\.cpp$)    -except


&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

#
# include dependencies (do not edit)
#
SysView_ActiveConfiguration.cpp inc=ggg00,\
    :SAPDB/SAPDBCommon/SAPDB_Types.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/RunTime/Configuration/RTEConf_ParameterAccessKernelInterface.hpp,\
    :SAPDB/SystemViews/SysView_ActiveConfiguration.hpp
SysView_ActiveConfiguration.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_BackupInformation.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_BackupInformation.hpp
SysView_BackupInformation.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_BackupThreads.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_BackupThreads.hpp
SysView_BackupThreads.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CacheStatistics.cpp inc=ggg00,hak10.h,hak42.h,hak51.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_CacheStatistics.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CacheStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CacheStatisticsReset.cpp inc=ggg00,hak10.h,hak51.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_CacheStatisticsReset.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CacheStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ClassContainerStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_ClassContainerStatistics.hpp
SysView_ClassContainerStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ClassContainerStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_ClassContainerStatisticsReset.hpp
SysView_ClassContainerStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ClassContainers.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_ClassContainers.hpp
SysView_ClassContainers.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CommandCacheStatistics.cpp inc=ggg00,hgg01_3.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_CommandCacheStatistics.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CommandCacheStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CommandCacheStatisticsReset.cpp inc=ggg00,hgg01_3.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_CommandCacheStatisticsReset.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_CommandCacheStatistics.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CommandCacheStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CommandStatistics.cpp inc=ggg00,hgg01_3.h,hgg03.h,hsp78.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_CommandStatistics.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_Types.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CommandStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_CommandStatisticsReset.cpp inc=ggg00,hgg01_3.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_CommandStatisticsReset.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ISQLCache.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_ICommand.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_Types.hpp,\
    :SAPDB/SQLManager/SQLMan_ContextSessionMembers.hpp
SysView_CommandStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_DataCache.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_DataCache.hpp
SysView_DataCache.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_DataStatistics.cpp inc=ggg00,hbd20_6.h,\
    :SAPDB/Converter/Converter_ICommon.hpp,\
    :SAPDB/FreeBlockManagement/FBM_IManager.hpp,\
    :SAPDB/FrameControl/FrameCtrl_ICommon.hpp,\
    :SAPDB/GarbageCollector/GC_IGCController.hpp,\
    :SAPDB/IOManager/IOMan_IDataInfo.hpp,\
    :SAPDB/KernelCommon/Kernel_DateTime.hpp,:SAPDB/RunTime/RTE_Types.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_DataStatistics.hpp
SysView_DataStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_DataStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_DataStatisticsReset.hpp
SysView_DataStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_DataVolumes.cpp inc=gsp00,ggg00,\
    :SAPDB/FrameControl/FrameCtrl_ICommon.hpp,\
    :SAPDB/FreeBlockManagement/FBM_IManager.hpp,\
    :SAPDB/IOManager/IOMan_IDataVolumeInfo.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_DataVolumes.hpp
SysView_DataVolumes.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Defines.hpp inc=:SAPDB/SAPDBCommon/Tracing/SAPDBTrace_Topic.hpp,\
    :SAPDB/SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp
SysView_Events.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Events.hpp
SysView_Events.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Files.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Files.hpp
SysView_Files.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_HistoryCleanupStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_HistoryCleanupStatistics.hpp
SysView_HistoryCleanupStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_HistoryCleanupStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_HistoryCleanupStatisticsReset.hpp
SysView_HistoryCleanupStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_HotStandbyComponent.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_HotStandbyComponent.hpp,\
    :SAPDB/RunTime/RTE_KGS.hpp,\
    :SAPDB/RunTime/HotStandbyStorage/RTEHSS_KernelInterface.hpp,\
    :SAPDB/RunTime/System/RTESys_Time.h
SysView_HotStandbyComponent.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_HotStandbyGroup.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_HotStandbyGroup.hpp,\
    :SAPDB/RunTime/HotStandbyStorage/RTEHSS_StandbyNodeList.hpp,\
    :SAPDB/RunTime/System/RTESys_Time.h
SysView_HotStandbyGroup.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_IOThreadStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_IOThreadStatistics.hpp
SysView_IOThreadStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_IOThreadStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_IOThreadStatisticsReset.hpp
SysView_IOThreadStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ISysView.hpp inc=
SysView_ITableObj.hpp inc=:SAPDB/SAPDBCommon/SAPDB_Types.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp
SysView_IndexSizeDetails.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_IndexSizeDetails.hpp
SysView_IndexSizeDetails.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Instance.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Instance.hpp,\
    :SAPDB/RunTime/RTE_KGS.hpp,:SAPDB/RunTime/System/RTESys_Time.h
SysView_Instance.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_KernelMessages.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_KernelMessages.hpp,\
    :SAPDB/SQLManager/ErrorHandling/SQLManErr_Interface.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/RunTime/MemoryManagement/RTEMem_AllocatorInfoReader.hpp
SysView_KernelMessages.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_LockStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_LockStatistics.hpp
SysView_LockStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_LockStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_LockStatisticsReset.hpp
SysView_LockStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Locks.cpp inc=ggg00,hgg10.h,hgg01_3.h,vak001,hak01.h,hak06.h,hak071.h,\
    hak36.h,hak40.h,hak42.h,vkb521.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Locks.hpp
SysView_Locks.hpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_LogStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_LogStatistics.hpp
SysView_LogStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_LogStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_LogStatisticsReset.hpp
SysView_LogStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_LogVolumes.cpp inc=:SAPDB/FrameControl/FrameCtrl_ICommon.hpp,\
    :SAPDB/IOManager/IOMan_ILogVolumeInfo.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_LogVolumes.hpp
SysView_LogVolumes.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_MachineConfiguration.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_MachineConfiguration.hpp,\
    :SAPDB/RunTime/System/RTESys_SystemInfo.h,\
    :SAPDB/RunTime/System/RTESys_MemoryInfo.hpp
SysView_MachineConfiguration.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_MachineUtilization.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_MachineUtilization.hpp,\
    :SAPDB/RunTime/System/RTESys_SystemInfo.h,\
    :SAPDB/RunTime/System/RTESys_MemoryInfo.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_sprintf.h
SysView_MachineUtilization.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_MemoryAllocatorStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_MemoryAllocatorStatistics.hpp,\
    :SAPDB/RunTime/MemoryManagement/RTEMem_AllocatorInfoReader.hpp
SysView_MemoryAllocatorStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_MemoryAllocatorStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_MemoryAllocatorStatisticsReset.hpp
SysView_MemoryAllocatorStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_MemoryHolders.cpp inc=ggg00,hsp77.h,hak40.h,hgg01_3.h,\
    :SAPDB/liveCache/MemoryManagement/LVCMem_Allocator.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_MemoryHolders.hpp
SysView_MemoryHolders.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Miscellaneous.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Miscellaneous.hpp
SysView_Miscellaneous.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ObjectLocks.hpp inc=inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ObjectLocks.cpp inc=ggg00,hkb52.h,hgg06.h,\
    SystemViews/SysView_Defines.hpp,\
    SystemViews/SysView_ITableObj.hpp,\
    SystemViews/SysView_ObjectLocks.hpp,\
    SQLMan_Context.hpp"   
SysView_OMSLocks.cpp inc=ggg00,gsp00,\
    :SAPDB/liveCache/LVC_LibOmsInterface.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_OMSLocks.hpp
SysView_OMSLocks.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_OMSProcedureStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_OMSProcedureStatistics.hpp
SysView_OMSProcedureStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_OMSProcedureStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_OMSProcedureStatisticsReset.hpp
SysView_OMSProcedureStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_OMSVersions.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_OMSVersions.hpp
SysView_OMSVersions.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_OptimizerInformation.cpp inc=hak47.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_OptimizerInformation.hpp
SysView_OptimizerInformation.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_PageLocks.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_PageLocks.hpp
SysView_PageLocks.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_PascalTableObj.cpp inc=ggg00,hgg01_3.h,ggg91.h,ggg92.h,hgg06.h,\
    hgg10.h,gak40,hak40.h,hak42.h,vak001,hsp81.h,hak06.h,hak07.h,gkb05,\
    :SAPDB/SAPDBCommon/SAPDB_Types.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_UTF8Basis.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
    :SAPDB/SystemViews/SysView_PascalTableObj.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp
SysView_PascalTableObj.hpp inc=ggg00,gak40,vak001,gkb05,\
    :SAPDB/SAPDBCommon/SAPDB_UTF8Basis.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_Types.hpp,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_PseudoLongHandler.cpp inc=\
    :SAPDB/SystemViews/SysView_PseudoLongHandler.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,hgg04.h,hbd01.h,hbd02.h
SysView_PseudoLongHandler.hpp inc=:SAPDB/SAPDBCommon/SAPDB_Types.hpp
SysView_ReaderWriterLockStatistics.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_ReaderWriterLockStatistics.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_RWRegion.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_sprintf.h,\
    :SAPDB/RunTime/MemoryManagement/RTEMem_RteAllocator.hpp
SysView_ReaderWriterLockStatisticsReset.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_ReaderWriterLockStatisticsReset.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_ReaderWriterLockStatisticsReset.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_RWRegion.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_sprintf.h,\
    :SAPDB/RunTime/MemoryManagement/RTEMem_RteAllocator.hpp
SysView_ReaderWriterLockStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_RegionLocks.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_RegionLocks.hpp
SysView_RegionLocks.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_RegionStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_RegionStatistics.hpp
SysView_RegionStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_RegionStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_RegionStatisticsReset.hpp
SysView_RegionStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_RestartInformation.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_RestartInformation.hpp
SysView_RestartInformation.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Schemas.cpp inc=ggg00,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Schemas.hpp
SysView_Schemas.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Sessions.cpp inc=ggg00,hgg01_3.h,hgg03.h,hsp78.h,hgg04.h,hak51.h,\
    hkb51_2.h,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Sessions.hpp\
&if $OS in [ WIN32 ]
    ,gos003.h
&else
    ,hen53.h
&endif

SysView_Sessions.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Snapshots.cpp inc=:SAPDB/Converter/Converter_ICommon.hpp,\
    :SAPDB/FrameControl/FrameCtrl_ICommon.hpp,\
    :SAPDB/KernelCommon/Kernel_DateTime.hpp,:SAPDB/RunTime/RTE_Types.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_Snapshots.hpp
SysView_Snapshots.hpp inc=:SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_SpinlockPoolStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_SpinLockPoolStatistics.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_SpinlockPoolRegister.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp
SysView_SpinlockPoolStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_SpinlockPoolStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_SpinLockPoolStatisticsReset.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_SpinlockPoolRegister.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp
SysView_SpinlockPoolStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_SpinLockStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_SpinLockStatistics.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_SpinlockReader.hpp
SysView_SpinLockStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_SpinLockStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_SpinLockStatisticsReset.hpp
SysView_SpinLockStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_SysViewBase.cpp inc=ggg00,gak40,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_NewDestroy.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_PascalTableObj.hpp,\
    :SAPDB/RunTime/System/RTESys_Time.h
SysView_SysViewBase.hpp inc=\
    :SAPDB/SAPDBCommon/Tracing/SAPDBTrace_Usage.hpp,\
    :SAPDB/SystemViews/SysView_ISysView.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp
SysView_TableSizeDetails.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_TableSizeDetails.hpp
SysView_TableSizeDetails.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_TaskGroupStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_TaskGroupStatistics.hpp
SysView_TaskGroupStatistics.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_TaskGroupStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_TaskGroupStatisticsReset.hpp
SysView_TaskGroupStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_TaskStatistics.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_TaskStatistics.hpp
SysView_TaskStatistics.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_TaskStatisticsReset.cpp inc=ggg00,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_TaskStatisticsReset.hpp
SysView_TaskStatisticsReset.hpp inc=\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Transactions.cpp inc=ggg00,hak07.h,hgg01.h,ggg91.h,ggg92.h,\
    hgg06.h,vkb522.hpp,:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Transactions.hpp
SysView_Transactions.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp
SysView_Version.cpp inc=ggg00,gsp100.h,hsp100.h,\
    :SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp,\
    :SAPDB/SystemViews/SysView_Version.hpp,\
    :SAPDB/RunTime/System/RTESys_SystemInfo.h
SysView_Version.hpp inc=:SAPDB/SystemViews/SysView_Defines.hpp,\
    :SAPDB/SystemViews/SysView_SysViewBase.hpp,\
    :SAPDB/SystemViews/SysView_ITableObj.hpp

